PAPI_thread_id(3)

NAME
PAPI_thread_id - Get the thread identifier of the current thread.

SYNOPSIS

Detailed Description

Return values
    PAPI_EMISC is returned if there are no threads registered.
    -1 is returned if the thread id function returns an error.

This function returns a valid thread identifier. It calls the function registered with PAPI through a call to PAPI_thread_init().

unsigned long tid;

if ((tid = PAPI_thread_id()) == (unsigned long int)-1 )
    exit(1);

printf("Initial thread id is: %lu\n", tid );

See also
    PAPI_thread_init

Author

Generated automatically by Doxygen for PAPI from the source code.